#ifndef GUARD_2AF8C38E79755453C7B276BABE0DA7AE
#define GUARD_2AF8C38E79755453C7B276BABE0DA7AE

#include "types.h"

struct sw_shader {
	i32 _shader;
};

struct sw_shaderprogram {
	i32 _program;
};

#define SW_SHADER_VERTEX 1
#define SW_SHADER_FRAGMENT 2

#define SW_SHADERLOC_POS 0

struct sw_shader sw_shader_create(char const *source, i32 type);

struct sw_shaderprogram
sw_shaderprogram_create(char const *vertex, char const *fragment);

void sw_shaderprogram_use(struct sw_shaderprogram program);

#endif /* GUARD_2AF8C38E79755453C7B276BABE0DA7AE */
